package com.sqx.modules.bl.massage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.bl.massage.entity.MassagePackage;

public interface MassagePackageService extends IService<MassagePackage> {

    Result findPage(MassagePackage massagePackage);
    int updateSales(MassagePackage massagePackage);
    int updateEsteemRate(MassagePackage massagePackage);
    int updateCoupon(MassagePackage massagePackage);
    int updateVip(MassagePackage massagePackage);
    int updateNewer(MassagePackage massagePackage);
    int updateStatus(MassagePackage massagePackage);
    int updatePrice(MassagePackage massagePackage);
    int delete(MassagePackage massagePackage);
    Result findPackageAndMassagePage(MassagePackage massagePackage);
    Result findAppActivityPage(MassagePackage massagePackage);
    Result getAppGroupDetail(Long userId,MassagePackage massagePackage);
    Result getAppFlashDetail(Long userId,MassagePackage massagePackage);
}